/*
 * CHardware.h
 *
 *  Created on: 16 Oct 2023
 *      Author: max.petrak
 */

#ifndef SOURCE_CHARDWARE_MOCK_H_
#define SOURCE_CHARDWARE_MOCK_H_

#include "CHardware.h"

class CHardwareMock
: public CHardware
{
public:
    CHardwareMock();
    ~CHardwareMock();

    virtual void GetAccelerometerData(eC_Int &iX, eC_Int &iY, eC_Int &iZ);
    virtual eC_Bool GetButtonData(eC_Value vButton);

    virtual void DoAnimate(const eC_Value &vTimes);

protected:
    eC_Bool m_bSw1OldState;
    eC_Bool m_bSw2OldState;
};

#endif /* SOURCE_CHARDWARE_MOCK_H_ */
